import { FcrIcon } from '../../icon';
import { FcrIconType } from '../../icon/type';
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
export var CameraState = function CameraState(props) {
  var isCameraMuted = props.isCameraMuted,
    _props$size = props.size,
    size = _props$size === void 0 ? 20 : _props$size,
    ignoreColor = props.ignoreColor,
    renderMode = props.renderMode,
    renderIconType = props.renderIconType;
  var getComputIconType = function getComputIconType() {
    if (renderMode === 'forward-state') {
      return isCameraMuted ? renderIconType === 'surface' ? FcrIconType.FCR_CAMERA : FcrIconType.FCR_MOBILE_CAMERA2 : renderIconType === 'surface' ? FcrIconType.FCR_CAMERAOFF : FcrIconType.FCR_MOBILE_CAMERAOFF2;
    } else {
      return isCameraMuted ? renderIconType === 'surface' ? FcrIconType.FCR_CAMERAOFF : FcrIconType.FCR_MOBILE_CAMERAOFF2 : renderIconType === 'surface' ? FcrIconType.FCR_CAMERA : FcrIconType.FCR_MOBILE_CAMERA2;
    }
  };
  return /*#__PURE__*/_jsx(_Fragment, {
    children: /*#__PURE__*/_jsx(FcrIcon, {
      type: getComputIconType(),
      colors: ignoreColor ? {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)',
        iconSecondary: 'var(--fcr_web_ui_scene_mainicon1)'
      } : {
        iconPrimary: isCameraMuted ? 'var(--fcr_ui_scene_ramp_red6)' : 'var(--fcr_web_ui_scene_mainicon1)',
        iconSecondary: isCameraMuted ? 'var(--fcr_ui_scene_ramp_red6)' : 'var(--fcr_web_ui_scene_mainicon1)'
      },
      size: size
    })
  });
};